Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 239397 - x11-drivers/linuxwacom-8.2.0_p2 doesn't include proper symlinks for certain tablet pcs
Summary: x11-drivers/linuxwacom-8.2.0_p2 doesn't include proper symlinks for certain t...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Mike Auty
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-03 05:37 UTC by Thomas Raschbacher
Modified: 2009-04-18 21:00 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Raschbacher gentoo-dev 2008-10-03 05:37:57 UTC
this support usb based tablet pcs (like the hp pavillion tx2550eg)

just copy the ebuild and add 2 lines for udev for 0.8.1 (prolly rename them?)
KERNEL=="event[0-9]*", ATTRS{idVendor}=="056a", ATTRS{idProduct}=="0090", SYMLINK+="input/tabletPC-stylus"
KERNEL=="event[0-9]*", ATTRS{idVendor}=="056a", ATTRS{idProduct}=="0093", SYMLINK+="input/tabletPC-touch"
Comment 1 Thomas Raschbacher gentoo-dev 2008-11-18 12:53:18 UTC
noone interested?
Comment 2 Thomas Raschbacher gentoo-dev 2009-02-12 08:47:06 UTC
this is fixed in upstream linuxwacom already :)
I'll close it
Comment 3 Mike Auty gentoo-dev 2009-04-06 10:50:46 UTC
Probably we will fix this.
Comment 4 Mike Auty gentoo-dev 2009-04-11 13:14:00 UTC
I've updated the udev rules in the overlay for 0.8.2-2.  Please note, I've also just added 0.8.3-2, which allows using HAL to specify everything properly, which would also solve the problem.  These will get pushed to the main tree in a couple of weeks.  If it doesn't get done in a couple of weeks, please feel free to prod me, I've almost certainly forgotten.  Thanks...  5:)
Comment 5 Mike Auty gentoo-dev 2009-04-18 21:00:36 UTC
Ok, this just went in the tree (in all available versions).